Name:          args4j
Version:       2.0.16
Release:       %mkrel 1
Summary:       Java command line arguments parser
Group:         Development/Java
License:       BSD, MIT
Url:           http://args4j.java.net/
# svn export https://svn.java.net/svn/args4j~svn/tags/args4j-site-2_0_16 args4j-2.0.16
# tar czf args4j-2.0.16-src-svn.tar.gz args4j-2.0.16
Source0:       args4j-2.0.16-src-svn.tar.gz
Patch0:        args4j-wagon-svn-removal.patch
Patch1:        args4j-ant-removal.patch
Patch2:        args4j-osgi.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-plugin
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
args4j is a small Java class library that makes it easy to parse command line options/arguments in your CUI application.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
args4j - Java command line arguments parser.

This package contains javadoc for %{name}.

%prep
%setup -q -n args4j-%{version}
chmod -R go=u-w *

%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i 's/<addClasspath>true/<addClasspath>false/g' args4j-tools/pom.xml

rm -rf repo
rm -rf www
rm -rf args4j/lib

%build

mvn-rpmbuild -e \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 args4j/target/args4j-%{version}.jar %{buildroot}%{_javadir}/args4j.jar
install -pm 644 args4j-tools/target/args4j-tools-%{version}.jar %{buildroot}%{_javadir}/args4j-tools.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-args4j-site.pom
install -pm 644 args4j/pom.xml %{buildroot}%{_mavenpomdir}/JPP-args4j.pom
install -pm 644 args4j-tools/pom.xml %{buildroot}%{_mavenpomdir}/JPP-args4j-tools.pom

%add_to_maven_depmap args4j args4j-site %{version} JPP args4j-site
%add_to_maven_depmap args4j args4j %{version} JPP args4j
%add_to_maven_depmap args4j args4j-tools %{version} JPP args4j-tools

mkdir -p %{buildroot}%{_javadocdir}/args4j
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/args4j

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/args4j.jar
%{_javadir}/args4j-tools.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc args4j/LICENSE.txt

%files javadoc
%{_javadocdir}/args4j



%changelog

* Sun Sep 04 2011 dmorgan <dmorgan> 2.0.16-1.mga2
+ Revision: 138527
- Adapt to mageia guidelines

* Thu Jun 30 2011 gil <gil> 2.0.16-0.mga2
+ Revision: 116779
- imported package args4j


* Thu Jun 30 2011 gil <gil> 2.0.16-0.%%mkrel
- initial rpm